# frozen_string_literal: true

#
# Copyright (c) 2015-2017 Sam4Mobile, 2017-2018 Make.org, 2019 Samuel Bernard
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

package_retries = node['gitlab-ci-runner']['package_retries']
version = node['gitlab-ci-runner']['version']
package 'gitlab-runner' do
  version version unless version == 'latest'
  retries package_retries unless package_retries.nil?
  action :upgrade if version == 'latest'
end

chef_gem 'toml' do
  compile_time true
end
